Subject: Re: Removal of GENERIC_GPIO breaks -next

From: Stephen Rothwell <[email-masked]>
Date: Thu, 18 Apr 2013 17:18:20 +1000

Hi Alex,

On Wed, 17 Apr 2013 19:37:33 +0900 Alexandre Courbot <[email-masked]> wrote:
>
> It seems like the last few patches I pushed to my branch are going to
> break powerpc/85xx due to a merge issue. I have tried to warn you by
> email today but maybe you haven't read it yet.
> 
> arch/powerpc/platforms/85xx/Kconfig has a "select GENERIC_GPIO" which
> will cause compilation breakage because I removed the GENERIC_GPIO
> config option for all platforms. This line should be removed by my
> "Convert selectors of GENERIC_GPIO to GPIOLIB" patch, but this line
> slipped in between and is thus still here.
> 
> Also arch/arc/plat-tb10x/Kconfig now defines GENERIC_GPIO, this will
> not cause breakage but should not be here anymore (ideally removed by
> the "Remove GENERIC_GPIO config option" patch)
> 
> Apart from these two issues, things seem to have gone fine, but I'm
> not sure how they should be addressed and by who?

I have added the following two patches as merge fixups in linux-next.
You, or the maintainer of the tree with the conflicting patch will need
to send these (or something like them) to Linus when you ask him to pull.

For the clash with the galak tree (commit af7837c78d78
("powerpc/fsl-booke: Add B4_QDS board support")):

From: Stephen Rothwell <[email-masked]>
Date: Thu, 18 Apr 2013 17:05:12 +1000
Subject: [PATCH] merge fix for Convert selectors of GENERIC_GPIO to GPIOLIB

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 arch/powerpc/platforms/85xx/Kconfig | 1 -
 1 file changed, 1 deletion(-)

diff --git a/arch/powerpc/platforms/85xx/Kconfig b/arch/powerpc/platforms/85xx/Kconfig
index fbb3eb9..102c29e 100644
--- a/arch/powerpc/platforms/85xx/Kconfig
+++ b/arch/powerpc/platforms/85xx/Kconfig
@@ -327,7 +327,6 @@ config B4_QDS
 	select PPC_E500MC
 	select PHYS_64BIT
 	select SWIOTLB
-	select GENERIC_GPIO
 	select ARCH_REQUIRE_GPIOLIB
 	select HAS_RAPIDIO
 	select PPC_EPAPR_HV_PIC

For the clash with the i2c tree (commit b81dfaa01f70 ("i2c: mux: Add
i2c-arb-gpio-challenge 'mux' driver")):

From: Stephen Rothwell <[email-masked]>
Date: Thu, 18 Apr 2013 17:08:14 +1000
Subject: [PATCH] merge fix 2 for Convert selectors of GENERIC_GPIO to GPIOLIB

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/i2c/muxes/Kconfig | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/i2c/muxes/Kconfig b/drivers/i2c/muxes/Kconfig
index b5329b0..f7f9865 100644
--- a/drivers/i2c/muxes/Kconfig
+++ b/drivers/i2c/muxes/Kconfig
@@ -7,7 +7,7 @@ menu "Multiplexer I2C Chip support"
 
 config I2C_ARB_GPIO_CHALLENGE
 	tristate "GPIO-based I2C arbitration"
-	depends on GENERIC_GPIO && OF
+	depends on GPIOLIB && OF
 	help
 	  If you say yes to this option, support will be included for an
 	  I2C multimaster arbitration scheme using GPIOs and a challenge &

-- 
Cheers,
Stephen Rothwell                    [email-masked]